For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET Schedule by Season

This endpoint returns the schedule for a provided season ID. The schedule includes all the stages, fixtures and venues for a season.

https://api.sportmonks.com/v3/motorsport/schedules/seasons/SEASON_ID
{
    "data": [
        {
            "id": 77475992,
            "sport_id": 2,
            "league_id": 3468,
            "season_id": 25273,
            "type_id": 9724,
            "name": "Formula 1 Louis Vuitton Australian Grand Prix 2025",
            "sort_order": 1,
            "finished": true,
            "is_current": false,
            "starting_at": "2025-03-14",
            "ending_at": "2025-03-16",
            "games_in_current_week": false,
            "tie_breaker_rule_id": 573,
            "fixtures": [
                {
                    "id": 19398659,
                    "sport_id": 2,
                    "league_id": 3468,
                    "season_id": 25273,
                    "stage_id": 77475992,
                    "group_id": null,
                    "aggregate_id": null,
                    "round_id": null,
                    "state_id": 5,
                    "venue_id": 343575,
                    "name": "Race",
                    "starting_at": "2025-03-16 04:00:00",
                    "result_info": null,
                    "leg": "1/1",
                    "details": null,
                    "length": null,
                    "placeholder": false,
                    "has_odds": false,
                    "has_premium_odds": false,
                    "starting_at_timestamp": 1742097600,
                    "venue": {
                        "id": 343575,
                        "country_id": 98,
                        "city_id": 56136,
                        "name": "Albert Park Grand Prix Circuit",
                        "address": "12 Aughtie Dr, Albert Park VIC",
                        "zipcode": "3206",
                        "latitude": "37.8497",
                        "longitude": "144.9680",
                        "capacity": 130000,
                        "image_path": "https://cdn.sportmonks.com/images/core/venues/23/343575.png",
                        "city_name": null,
                        "surface": "asphalt",
                        "national_team": false,
                        "metadata": [
                            {
                                "id": 9079921,
                                "metadatable_id": 343575,
                                "type_id": 109729,
                                "value_type": "object",
                                "values": {
                                    "length": "5.303 km"
                                }
                            },
                            {
                                "id": 9079953,
                                "metadatable_id": 343575,
                                "type_id": 109730,
                                "value_type": "object",
                                "values": {
                                    "direction": "clockwise"
                                }
                            },
                            {
                                "id": 9079985,
                                "metadatable_id": 343575,
                                "type_id": 109731,
                                "value_type": "object",
                                "values": {
                                    "type": "street-circuit"
                                }
                            }
                        ]
                    }
                },
                // More fixtures...
            ]
        },
        // More stages...
    ]
}

Stages

Field
Description
Type

id

Refers to the unique id of the stage

integer

sport_id

Refers to the sport of the stage

integer

league_id

Refers to the league related to the stage

integer

season_id

Refers to the season related to the stage

integer

type_id

Indicates what the stage type is

integer

name

Returns the name of the stage

string

sort_order

Returns the order of the stage

integer

finished

Indicates if the stage is finished or not

boolean

is_current

Indicates if the stage is the current stage or not

boolean

starting_at

The starting date of the stage

string

ending_at

The end date of the stage

string

games_in_current_week

Not used in the Motorsport API

boolean

tie_breaker_rule_id

Refers to the tie breaker rule related to the stage - N/A for the Motorsport API

integer

Fixtures

Field
Description
Type

id

Refers the unique id of the fixture

integer

sport_id

Refers to the sport of the fixture

integer

league_id

Refers to the league the fixture is held in

integer

season_id

Refers to the seasons the fixture is held in

integer

stage_id

Refers to the stage (e.g. race weekend) the fixture is held in

integer

group_id

Not used in the Motorsport API

null

aggregate_id

Not used in the Motorsport API

null

round_id

Not used in the Motorsport API

null

state_id

Refers to the state the fixture is currently in

integer

venue_id

Refers to the venue (track) the fixture is held at

integer

name

Represents the name of the fixture

string

starting_at

String representing the start date and time

date

result_info

Represents the final result info

string

leg

Represents the stage of the fixture, e.g. 2/3 for Practice 2 (of 3) or 3/3 for Qualification 3. Note: Returns 1/1 for Practice 1 if the other practice sessions are replaced by the sprint sessions.

string

details

Represents details about the fixture

string

length

Planned length of the session in minutes (practice and qualification sessions); Total amount of laps (race sessions)

integer

placeholder

Represents if the fixture is a placeholder

boolean

has_odds

Not used in the Motorsport API

boolean

has_premium_odds

Not used in the Motorsport API

boolean

starting_at_timestamp

Integer representing the starting Unix timestamp (in seconds since Unix Epoch)

integer

Venues

Field
Description
Type

id

The unique id of the venue

integer

country_id

The country the venue is in

integer

name

The name of the venue/track

string

address

The address of the venue

string

zipcode

The zipcode of the venue

string

latitude

The latitude of the venue

string

longitude

The longitude of the venue

string

capacity

The capacity of the venue

integer

image_path

The track layout image URL

string

city_name

The name of city the venue is in

string

surface

The surface of the venue

string

national_team

Not used in the Motorsport API

boolean

Query Parameters
Required?
Description

api_token

YES

Your unique API token

include

NO

Enrich the API with more data by using includes

select

NO

Select specific fields on the base entity

filters

NO

Filter the API response on multiple related entities. There are static filters and dynamic filters.

Please find the possibilities in the Static and Dynamic Filter tab.

Static filters are always the same and filter in one specific way without any custom options. Each static filter is listed below and has a description of how it filters. For more information, please look at our Filters page.

Not applicable for this endpoint.

Pagination

YES

Include depth

You can use a total of 0 nested includes on this endpoint

Include options

None

Related Entities:

Get an overview and explanation of all the fields returned in the API response. The related entities for the Schedule endpoints are:

Code Example

Last updated

Was this helpful?